import { type Metadata } from 'next';

import { SimpleLayout } from '@/components/SimpleLayout';

export const metadata: Metadata = {
  title: 'Thank You',
  description: 'Thanks for donating.',
};

export default async function ThankYou({
  searchParams,
}: {
  searchParams: { [key: string]: string | string[] | undefined };
}) {
  const { redirect_status } = searchParams;
  if (redirect_status !== 'succeeded') {
    // TODO: Display error
  }

  return (
    <SimpleLayout
      title="Thanks for donating."
      intro="Thank you for donating to the West Sound Community Club."
    >
      <p className="text-base text-zinc-600">
        Your financial support helps us perserve this historic building and to
        host events for the community.
      </p>
    </SimpleLayout>
  );
}
